/**
 * Space
 *
 * The following units can be applied to margin or padding properties, vertically or horizontally.
 * @see https://theguardian.design/2a1e5182b/p/449bd5-space
 *
 * Space scale
 * 1 -> 4px
 * 2 -> 8px
 * 3 -> 12px
 * 4 -> 16px
 * 5 -> 20px
 * 6 -> 24px
 * 9 -> 36px
 * 12 -> 48px
 * 24 -> 96px
 */
export declare const space: {
    readonly 1: 4;
    readonly 2: 8;
    readonly 3: 12;
    readonly 4: 16;
    readonly 5: 20;
    readonly 6: 24;
    readonly 9: 36;
    readonly 12: 48;
    readonly 24: 96;
};
export declare const remSpace: {
    [K in keyof typeof space]: string;
};
